#include "..\script_component.hpp"

/*
 * Function: ramdb_db_fnc_hashRemove
 * Author: Creedcoder, J.Schmidt
 * Edit: 07.15.2024
 * Copyright © 2024 Creedcoder, J.Schmidt, All rights reserved
 *
 * Do not edit without permission!
 *
 * This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 * To view a copy of this license, vist https://creativecommons.org/licenses/by-nc-sa/4.0/ or send a letter to Creative Commons,
 * PO Box 1866, Mountain View, CA 94042
 *
 * [Description]
 * Remove field from hash stored at key from DB.
 *
 * Arguments:
 * 0: Name of stored hash key field <STRING> (default: "")
 *
 * Return Value:
 * N/A
 *
 * Examples:
 * ["myField"] call ramdb_db_fnc_hashRemove (Server or Singleplayer Only)
 * ["myField"] remoteExecCall ["ramdb_db_fnc_hashRemove", 2, false] (Multiplayer Only)
 *
 * Public: Yes
 */

params [["_keyField", "", [""]]];

diag_log text format ["ArmaRAMDb: 'ramdb_db_fnc_hashRemove' KeyField: '%1'", _keyField];

if (_keyField == "") exitWith {
    diag_log text format ["ArmaRAMDb: 'ramdb_db_fnc_hashRemove' Invalid Input for KeyField '%1'", _keyField];
};

"ArmaRAMDb" callExtension ["hrem", [_keyField]];